Subject: Re: [PATCH] powerpc: fix compile fail in hugetlb cmdline parsing

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 09 May 2012 13:04:18 +1000

On Tue, 2012-05-08 at 13:53 +0930, Rusty Russell wrote:
> On Mon,  7 May 2012 10:32:22 -0400, Paul Gortmaker <[email-masked]> wrote:
> > Commit 9fb48c744ba6a4bf58b666f4e6fdac3008ea1bd4
> > 
> >     "params: add 3rd arg to option handler callback signature"
> > 
> > added an extra arg to the function, but didn't catch all the use
> > cases needing it, causing this compile fail in mpc85xx_defconfig:
> > 
> >  arch/powerpc/mm/hugetlbpage.c:316:4: error: passing argument 7 of
> >  'parse_args' from incompatible pointer type [-Werror]
> > 
> >  include/linux/moduleparam.h:317:12: note: expected
> > 	 'int (*)(char *, char *, const char *)' but argument is of type
> > 	 'int (*)(char *, char *)'
> > 
> > This function has no need to printk out the "doing" value, so
> > just add the arg as an "unused".
> > 
> > Cc: Rusty Russell <[email-masked]>
> > Cc: Jim Cromie <[email-masked]>
> > Cc: Jason Baron <[email-masked]>
> > Cc: Greg Kroah-Hartman <[email-masked]>
> > Cc: Becky Bruce <[email-masked]>
> > Cc: Benjamin Herrenschmidt <[email-masked]>
> > Signed-off-by: Paul Gortmaker <[email-masked]>
> 
> Acked-by: Rusty Russell <[email-masked]>

This is for -next right ? IE. I don't seem to have the faulty commit
in my tree so I can't carry the fix for now.... or am I missing
something ?

Cheers,
Ben.